using Kingdee.BOS.Core.Bill.PlugIn;
using Kingdee.BOS.Core.Bill.PlugIn.Args;
using Kingdee.BOS.Log;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LF.K3.SCM.BusinessPlugin
{
    [Description("物料表单插件")]
    [HotUpdate]
    public class MateriallPlugin : AbstractBillPlugIn
    {
        public override void AfterSave(AfterSaveEventArgs e)
        {
            if (e.OperationResult.OperateResult == null) return;
            foreach (var error in e.OperationResult.OperateResult)
            {
                Logger.Info("error.Message", error.Message);
            }

            if (e.OperationResult.ValidationErrors == null) return;
            foreach (var error in e.OperationResult.ValidationErrors)
            {
                Logger.Info("error.Message", error.Message);
            }
            base.AfterSave(e);
        }
       



    }
}
